Foreman - Bug #27578

Syntax error in Kickstart_ifcfg_generic_interface template
08/09/2019 11:52 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Templates
Target version: 1.23.0
Difficulty: easy Fixed in Releases: 1.23.0
Triaged: Yes Found in Releases: 1.23.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/communit
y-templates/pull/607

Description
Blocker bug for 1.23, unable to enter Build mode or render Kickstart template. Symptoms:

Failure parsing Kickstart default: ERF22-6132 [Foreman::Renderer::Errors::SyntaxError]: Syntax error occurred while parsing the
template kickstart _ifcfg_generic_interface, make sure you have all ERB tags properly closed and the Ruby syntax is valid. The Ruby
error: kickstart_ifcfg_generic_interface:37: syntax error, unexpected end, expecting '}' ; end *~~ kickstart_ifcfg_generic_interface:60:
syntax error, unexpected end-of-input, expecting end.

Associated revisions

Revision fb29f5b5 - 08/12/2019 01:21 PM - Lukas Zapletal

Fixes #27578 - resolved syntax error in ifcfg_generic snippet

History

#1 - 08/09/2019 11:54 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/community-templates/pull/607 added

#2 - 08/12/2019 01:21 PM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#3 - 08/12/2019 01:52 PM - Tomer Brisker

- Status changed from Ready For Testing to Closed
- Fixed in Releases 1.23.0 added

- Fixed in Releases deleted (1.24.0)
